html, body {
    height: 100%;
    margin: 0;
}

body{
    text-align: center;
    color:rgb(92, 92, 92);
    display: flex;
    flex-direction: column;
    min-height: 100vh;
    font-family: 'Segoe UI', sans-serif;
    background: linear-gradient(135deg, #e0eafc, #cfdef3);
    padding-top: 20px;
}

main{
    margin-left: 10px;
    margin-right: 10px;
}

button{
    cursor: pointer;
    user-select: none;
}

.content {
    flex: 1;
}

footer{
    background-color: rgb(233, 233, 233);
    color: rgb(0, 0, 0);
    width: 100%;
    padding-top: 10px;
    padding-bottom: 10px;
    margin-top: 20px;
}

.uneTache{
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    justify-self: center;
    flex-direction: column;
    border: solid;
    width: 250px;
    background-color: white;
    border-color: #a3a3a3;
}

.uneTache button{
    margin-left: 20px;
}

.buttonDelet{
    transition: 0.3s;
    position: absolute;
    top:-10px;
    right:-10px;
    border: solid;
    border-radius: 3px;
    width: 20px;
    height: 20px;
    background-color: aliceblue;
}

.buttonDelet:hover{
    transition: 0.3s;
    border-color: red;
    background-color: rgb(255, 212, 212);
}

.buttonDelet::after{
    content: '❌';
    position: absolute;
    top:-1px;
    left:-1px;
}

.buttonAdd{
    transition: 0.3s;
    width: 80px;
    height: 30px;
    border: solid 0px;
    border-radius: 8px;
    color: white;
    font-weight: bold;
    background-color: rgb(102, 176, 36);
    box-shadow: 1px 4px rgb(65, 118, 18);
}

.buttonAdd:hover{
    transition: 0.3s;
    box-shadow: 1px 3px rgb(65, 118, 18);
    transform: translateY(1px);
}

.buttonAdd:active{
    transition: 0.3s;
    box-shadow: 0px 0px rgb(65, 118, 18);
    transform: translateY(4px) translateX(1px);
}

#statutDeConnexionAPI{
    font-size: 15px;
    text-decoration: underline;
}

input[type="text"] {
    padding: 10px;
    border: 1px solid #ddd;
    border-radius: 8px;
    outline: none;
}


.tacheEffectuer{
    transition: 0.2s;
    width: 20px;
    height: 20px;
    border: solid;
    border-radius: 50%;
    background-color: rgb(255, 255, 255);
    border-color: rgb(143, 143, 143);
    position: absolute;
    top:5px;
    left: -35px;
}

.tacheEffectuer:hover{
    transition: 0.2s;
    border-color: rgb(0, 0, 0);
}

.tacheEffectuer:active{
    transition: 0.2s;
    border-color: rgb(0, 0, 0);
    background-color: rgb(239, 239, 239);
}
